#
# spec file for package darcnes (Version 9b0401)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         darcnes
Copyright:    2000 Alastair Bridgewater
Group:        Applications/Emulators
Autoreqprov:  on
Version:      9b0401
Release:      105
Summary:      Multi system video game emulator
Source:  dn%{version}.tgz
Patch:   darcnes.dif

%description
Darcnes is able to emulate the video game system Nintendo Entertainment
System (NES), Sega Master System, Sega Game Gear, Sega Mega Drive and
NEC PC-Engine (aka TurboGrafx 16). Support for the last two systems, however,
is still in an early stage of development.
Darcnes comes in three flavours: sdarcnes (SVGALib version), xdarcnes
(X11 version) and gdarcnes (GTK version).
Please read the license in /usr/share/doc/packages/darcnes/readme

Authors:
--------
    Alastair Bridgewater <nyef@softhome.net>

SuSE series: emu

%prep
%setup -n darcnes
%patch

%build
%ifarch i386
		export BYTE_ORDER=-DLSB_FIRST
		export OPTFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer"
%else
%ifarch alpha ia64
		export BYTE_ORDER=-DLSB_FIRST
		export C_ONLY=-DC_ONLY
		export OPTFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer"
%else
%ifarch ppc sparc sparc64 s390
		export BYTE_ORDER=-DMSB_FIRST
                export C_ONLY=-DC_ONLY
                export OPTFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer"
%else
	exit 1
%endif
%endif
%endif
export TARGET=Linux_X
make	# depend
make
make tests
mv darcnes ../xdarcnes
make clean
rm -f _depend
export TARGET=Linux_GTK
make	# depend
make
mv darcnes ../gdarcnes
%ifarch i386 alpha
export TARGET=Linux_svgalib
make	# depend
make
mv sdarcnes ..
make clean
rm -f _depend
%endif
strip ../?darcnes

%install
%ifarch i386 alpha
install -m 755 ../sdarcnes /usr/bin
%endif
install -m 755 ../xdarcnes /usr/X11R6/bin
install -m 755 ../gdarcnes /usr/X11R6/bin
rm -f ../?darcnes

%files
%doc readme
%ifarch i386 alpha
/usr/bin/sdarcnes
%endif
/usr/X11R6/bin/xdarcnes
/usr/X11R6/bin/gdarcnes

%changelog -n darcnes
* Fri Apr 06 2001 - uli@suse.de
- update -> 9b0401
- added "make tests"
* Thu Mar 22 2001 - uli@suse.de
- update -> 9b0313
* Mon Dec 04 2000 - uli@suse.de
- update -> 9a1011
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Thu Sep 21 2000 - uli@suse.de
- update -> 9a0916
* Thu Aug 10 2000 - uli@suse.de
- update -> 9a0804
* Wed Jul 05 2000 - kukuk@suse.de
- Add SPARC to spec file
* Mon Jan 24 2000 - uli@suse.de
- current versions of config.guess seem to return ppc... instead
  of powerpc... ; changed spec file accordingly
* Thu Sep 23 1999 - uli@suse.de
- fixed for non-x86 systems, now builds on PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - uli@suse.de
- update -> 990822, should build on AXP and PPC
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 29 1999 - uli@suse.de
- update -> 990620
* Tue Jun 15 1999 - uli@suse.de
- update -> 990614
- reenabled GTK version
* Sun Jun 13 1999 - uli@suse.de
- new package, version 990606
